Patch the eInvoice that was submitted to the Tax Authority
PATCH
/v:version/invoices/:resourceId/update-e-invoice-status
Requires the INVOICE.E_INVOICE.STATUS.UPDATE permission.
Authentication
X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
versionstringRequiredDefaults to
1version
resourceIdstringRequiredDefaults to
The ID of the resource to be requested.
Headers
x-platform-idstringOptional
Platform ID.
Request
This endpoint expects an object.
external_referencestringRequired
The external reference of the eInvoice that needs to be patched
statusstringRequired
The status to set
messagestring or nullOptional
An optional message, when empty the default for that status will be used
Response
OK
applied_mandatestring
The mandate that was applied to this eInvoice
processorstring
The eInvoicing integration that processed this eInvoice
status_historylist of objects
supported_file_formatslist of objects
The file formats in which this eInvoice can be downloaded
external_referencestring or null
The external reference that's used to identify this eInvoice with the eInvoicing integration
statusobject
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error